gupnp_context_host_path
gupnp_context_set_subscription_timeout
Gupnp Functions
PHP Manual

# gupnp_context_new

Create a new context

### Description

resource gupnp_context_new ([ string `$host_ip` [, int `$port` = 0 ]] )

Create a new context with the specified host_ip and port.

### Parameters

`host_ip`

  The local host's IP address, or NULL to use the IP address of the first non-loopback network interface.

`port`

  Port to run on, or 0 if you don't care what port is used.

### Return Values

A context identifier.

### Examples

Example #1 Create new UPnP context

`<?php
/* Create the UPnP context */
$context = gupnp_context_new();
if (!$context) {
die("Error creating the GUPnP context\n");
}
?>`

### Errors/Exceptions

Issues `E_WARNING` with unable to create context.